# Class JvmTestSuiteBasePlugin

java.lang.Object
org.gradle.model.RuleSource
org.gradle.jvm.plugins.JvmTestSuiteBasePlugin

@Incubating public class JvmTestSuiteBasePlugin extends RuleSource
The base plugin that needs to be applied by all plugins which provide testing support for the Java software model.

Since:
  2.12

## Constructor Summary

Constructors
Constructor
Description
`JvmTestSuiteBasePlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureRuntimeClasspath(org.gradle.jvm.test.internal.JvmTestSuiteBinarySpecInternal testBinary, org.gradle.internal.service.ServiceRegistry serviceRegistry, org.gradle.model.internal.manage.schema.ModelSchemaStore modelSchemaStore)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JvmTestSuiteBasePlugin

public JvmTestSuiteBasePlugin()

## Method Details

### configureRuntimeClasspath

public void configureRuntimeClasspath(org.gradle.jvm.test.internal.JvmTestSuiteBinarySpecInternal testBinary, org.gradle.internal.service.ServiceRegistry serviceRegistry, org.gradle.model.internal.manage.schema.ModelSchemaStore modelSchemaStore)